package com.liangjian.dataplatform.member.entity.pojo;

import java.io.Serializable;

/**
 * @Author: 黄子奇
 * @Date: 2019/8/27 10:35
 */
public class DataBaseInfo implements Serializable {

    private static final long serialVersionUID = -4220704124377789310L;

    private String DS_TYPE_MYSQL = "MYSQL";

    private String host;

    private String port;

    private String user;

    private String pwd;

    private String serverName;

    private String keytabPath;

    private String krb5ConfigPath;

    private String hadoopHomeDir;

    private String principal;

    private String crtUser;

    public DataBaseInfo() {
    }

    public DataBaseInfo(String DS_TYPE_MYSQL, String host, String port, String user, String pwd, String serverName, String keytabPath, String krb5ConfigPath, String hadoopHomeDir, String principal, String crtUser) {
        this.DS_TYPE_MYSQL = DS_TYPE_MYSQL;
        this.host = host;
        this.port = port;
        this.user = user;
        this.pwd = pwd;
        this.serverName = serverName;
        this.keytabPath = keytabPath;
        this.krb5ConfigPath = krb5ConfigPath;
        this.hadoopHomeDir = hadoopHomeDir;
        this.principal = principal;
        this.crtUser = crtUser;
    }

    public String getDS_TYPE_MYSQL() {
        return DS_TYPE_MYSQL;
    }

    public void setDS_TYPE_MYSQL(String DS_TYPE_MYSQL) {
        this.DS_TYPE_MYSQL = DS_TYPE_MYSQL;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getPwd() {
        return pwd;
    }

    public void setPwd(String pwd) {
        this.pwd = pwd;
    }

    public String getServerName() {
        return serverName;
    }

    public void setServerName(String serverName) {
        this.serverName = serverName;
    }

    public String getKeytabPath() {
        return keytabPath;
    }

    public void setKeytabPath(String keytabPath) {
        this.keytabPath = keytabPath;
    }

    public String getKrb5ConfigPath() {
        return krb5ConfigPath;
    }

    public void setKrb5ConfigPath(String krb5ConfigPath) {
        this.krb5ConfigPath = krb5ConfigPath;
    }

    public String getHadoopHomeDir() {
        return hadoopHomeDir;
    }

    public void setHadoopHomeDir(String hadoopHomeDir) {
        this.hadoopHomeDir = hadoopHomeDir;
    }

    public String getPrincipal() {
        return principal;
    }

    public void setPrincipal(String principal) {
        this.principal = principal;
    }

    public String getCrtUser() {
        return crtUser;
    }

    public void setCrtUser(String crtUser) {
        this.crtUser = crtUser;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    @Override
    public String toString() {
        return "DataBaseInfo{" +
                "DS_TYPE_MYSQL='" + DS_TYPE_MYSQL + '\'' +
                ", host='" + host + '\'' +
                ", port='" + port + '\'' +
                ", user='" + user + '\'' +
                ", pwd='" + pwd + '\'' +
                ", serverName='" + serverName + '\'' +
                ", keytabPath='" + keytabPath + '\'' +
                ", krb5ConfigPath='" + krb5ConfigPath + '\'' +
                ", hadoopHomeDir='" + hadoopHomeDir + '\'' +
                ", principal='" + principal + '\'' +
                ", crtUser='" + crtUser + '\'' +
                '}';
    }
}
